"""Config flow to configure DBNetBus component."""
import voluptuous as vol

from homeassistant import config_entries
from homeassistant.core import callback
import homeassistant.helpers.config_validation as cv

# pylint: disable=unused-import
from . import DOMAIN

CONF_STRING = "string"
CONF_BOOLEAN = "bool"
CONF_INT = "int"
CONF_SELECT = "select"
CONF_MULTISELECT = "multi"


class DBNetBusConfigFlow(config_entries.ConfigFlow, domain=DOMAIN):
    """DBNetBus configuration flow."""

    VERSION = 1

    @staticmethod
    @callback
    def async_get_options_flow(config_entry):
        """Get the options flow for this handler."""
        return OptionsFlowHandler(config_entry)


    async def async_step_import(self, import_info):
        print("""Set the config entry up from yaml.""")
        return self.async_create_entry(title="DBNetBus", data={})

class OptionsFlowHandler(config_entries.OptionsFlow):
    """Handle options."""

    def __init__(self, config_entry):
        print("""Initialize options flow.""")
        self.config_entry = config_entry
        self.options = dict(config_entry.options)
